clear all

* Change directory to your Friedberg and Isaac (2022) replication folder
cd "INSERT FILEPATH"

* Open a .log file
log using lastname, text replace

*** Build **********************************************************************
/* Use this space for code that builds your data set by generating variables.
   Add a short variable label to each new variable so we know what it is. */

   
   
*** Analyze ********************************************************************
/* Use this space for code that calculates summary statistics, runs/stores
   regressions, and constructs tables. */

local lassovars "25.r_agegroup 30.r_agegroup 40.r_agegroup#4.r_edugroup 45.r_agegroup#4.r_edugroup 50.r_agegroup#4.r_edugroup 55.r_agegroup#4.r_edugroup 50.r_agegroup#4.race 40.r_agegroup#4.r_occbroad 45.r_agegroup#1.r_occbroad 45.r_agegroup#8.r_occbroad 50.r_agegroup#1.r_occbroad 50.r_agegroup#3.r_occbroad 50.r_agegroup#11.r_occbroad 55.r_agegroup#1.r_occbroad 55.r_agegroup#8.r_occbroad 55.r_agegroup#11.r_occbroad 60.r_agegroup#1.r_occbroad 60.r_agegroup#11.r_occbroad 45.r_agegroup#5.r_degbroad 45.r_agegroup#8.r_degbroad 50.r_agegroup#3.r_degbroad 50.r_agegroup#11.r_degbroad 55.r_agegroup#11.r_degbroad 45.r_agegroup#6.statefip 45.r_agegroup#25.statefip 50.r_agegroup#6.statefip 50.r_agegroup#34.statefip 50.r_agegroup#36.statefip 55.r_agegroup#34.statefip 55.r_agegroup#55.statefip 60.r_agegroup#36.statefip 2.r_edugroup 4.r_edugroup 4.r_edugroup#2.sex 3.r_edugroup#4.r_occbroad 4.r_edugroup#1.r_occbroad 4.r_edugroup#7.r_occbroad 4.r_edugroup#9.r_occbroad 4.r_edugroup#11.r_occbroad 4.r_edugroup#12.r_occbroad 4.r_edugroup#16.r_occbroad 4.r_edugroup#18.r_occbroad 2.r_edugroup#54.statefip 4.r_edugroup#6.statefip 4.r_edugroup#34.statefip 4.r_edugroup#c.c_children 2.race 7.race 4.race#14.r_occbroad 4.race#4.r_degbroad 6.race#11.r_degbroad 2.sex 2.sex#25.statefip 2.r_occbroad 3.r_occbroad 4.r_occbroad 8.r_occbroad 12.r_occbroad 14.r_occbroad 15.r_occbroad 16.r_occbroad 1.r_occbroad#5.r_degbroad 1.r_occbroad#13.r_degbroad 2.r_occbroad#3.r_degbroad 3.r_occbroad#3.r_degbroad 3.r_occbroad#4.r_degbroad 8.r_occbroad#3.r_degbroad 8.r_occbroad#8.r_degbroad 8.r_occbroad#9.r_degbroad 11.r_occbroad#11.r_degbroad 18.r_occbroad#2.r_degbroad 1.r_occbroad#42.statefip 1.r_occbroad#53.statefip 2.r_occbroad#25.statefip 2.r_occbroad#34.statefip 3.r_occbroad#6.statefip 3.r_occbroad#21.statefip 3.r_occbroad#28.statefip 3.r_occbroad#42.statefip 4.r_occbroad#25.statefip 5.r_occbroad#49.statefip 6.r_occbroad#48.statefip 7.r_occbroad#11.statefip 8.r_occbroad#11.statefip 8.r_occbroad#18.statefip 8.r_occbroad#22.statefip 8.r_occbroad#29.statefip 8.r_occbroad#34.statefip 10.r_occbroad#6.statefip 11.r_occbroad#4.statefip 11.r_occbroad#11.statefip 17.r_occbroad#25.statefip 17.r_occbroad#34.statefip 17.r_occbroad#36.statefip 1.r_occbroad#c.c_children 5.r_degbroad 2.r_degbroad#36.statefip 3.r_degbroad#36.statefip 5.r_degbroad#6.statefip 5.r_degbroad#25.statefip 7.r_degbroad#17.statefip 8.r_degbroad#22.statefip 8.r_degbroad#39.statefip 9.r_degbroad#8.statefip 9.r_degbroad#11.statefip 11.r_degbroad#33.statefip 11.r_degbroad#48.statefip 12.r_degbroad#13.statefip 13.r_degbroad#48.statefip 11.r_degbroad#c.c_children 13.r_degbroad#c.c_children 6.statefip 11.statefip 49.statefip#c.c_children 25.sp_agegroup 30.sp_agegroup 40.sp_agegroup#4.sp_edugroup 45.sp_agegroup#4.sp_edugroup 50.sp_agegroup#4.sp_edugroup 55.sp_agegroup#4.sp_edugroup 50.sp_agegroup#4.race 40.sp_agegroup#4.sp_occbroad 45.sp_agegroup#1.sp_occbroad 45.sp_agegroup#8.sp_occbroad 50.sp_agegroup#1.sp_occbroad 50.sp_agegroup#3.sp_occbroad 50.sp_agegroup#11.sp_occbroad 55.sp_agegroup#1.sp_occbroad 55.sp_agegroup#8.sp_occbroad 55.sp_agegroup#11.sp_occbroad 60.sp_agegroup#1.sp_occbroad 60.sp_agegroup#11.sp_occbroad 45.sp_agegroup#5.sp_degbroad 45.sp_agegroup#8.sp_degbroad 50.sp_agegroup#3.sp_degbroad 50.sp_agegroup#11.sp_degbroad 55.sp_agegroup#11.sp_degbroad 45.sp_agegroup#6.statefip 45.sp_agegroup#25.statefip 50.sp_agegroup#6.statefip 50.sp_agegroup#34.statefip 50.sp_agegroup#36.statefip 55.sp_agegroup#34.statefip 55.sp_agegroup#55.statefip 60.sp_agegroup#36.statefip 2.sp_edugroup 4.sp_edugroup 4.sp_edugroup#2.sex 3.sp_edugroup#4.sp_occbroad 4.sp_edugroup#1.sp_occbroad 4.sp_edugroup#7.sp_occbroad 4.sp_edugroup#9.sp_occbroad 4.sp_edugroup#11.sp_occbroad 4.sp_edugroup#12.sp_occbroad 4.sp_edugroup#16.sp_occbroad 4.sp_edugroup#18.sp_occbroad 2.sp_edugroup#54.statefip 4.sp_edugroup#6.statefip 4.sp_edugroup#34.statefip 4.sp_edugroup#c.c_children 2.race 7.race 4.race#14.sp_occbroad 4.race#4.sp_degbroad 6.race#11.sp_degbroad 2.sex 2.sex#25.statefip 2.sp_occbroad 3.sp_occbroad 4.sp_occbroad 8.sp_occbroad 12.sp_occbroad 14.sp_occbroad 15.sp_occbroad 16.sp_occbroad 1.sp_occbroad#5.sp_degbroad 1.sp_occbroad#13.sp_degbroad 2.sp_occbroad#3.sp_degbroad 3.sp_occbroad#3.sp_degbroad 3.sp_occbroad#4.sp_degbroad 8.sp_occbroad#3.sp_degbroad 8.sp_occbroad#8.sp_degbroad 8.sp_occbroad#9.sp_degbroad 11.sp_occbroad#11.sp_degbroad 18.sp_occbroad#2.sp_degbroad 1.sp_occbroad#42.statefip 1.sp_occbroad#53.statefip 2.sp_occbroad#25.statefip 2.sp_occbroad#34.statefip 3.sp_occbroad#6.statefip 3.sp_occbroad#21.statefip 3.sp_occbroad#28.statefip 3.sp_occbroad#42.statefip 4.sp_occbroad#25.statefip 5.sp_occbroad#49.statefip 6.sp_occbroad#48.statefip 7.sp_occbroad#11.statefip 8.sp_occbroad#11.statefip 8.sp_occbroad#18.statefip 8.sp_occbroad#22.statefip 8.sp_occbroad#29.statefip 8.sp_occbroad#34.statefip 10.sp_occbroad#6.statefip 11.sp_occbroad#4.statefip 11.sp_occbroad#11.statefip 17.sp_occbroad#25.statefip 17.sp_occbroad#34.statefip 17.sp_occbroad#36.statefip 1.sp_occbroad#c.c_children 5.sp_degbroad 2.sp_degbroad#36.statefip 3.sp_degbroad#36.statefip 5.sp_degbroad#6.statefip 5.sp_degbroad#25.statefip 7.sp_degbroad#17.statefip 8.sp_degbroad#22.statefip 8.sp_degbroad#39.statefip 9.sp_degbroad#8.statefip 9.sp_degbroad#11.statefip 11.sp_degbroad#33.statefip 11.sp_degbroad#48.statefip 12.sp_degbroad#13.statefip 13.sp_degbroad#48.statefip 11.sp_degbroad#c.c_children 13.sp_degbroad#c.c_children 6.statefip 11.statefip 49.statefip#c.c_children"


*** Figures ********************************************************************
/* Use this space for code that constructs figures. */


* Close the .log file
log close
